The Ibcli is a simple command line tool that lets you do some (mostly) powerful things. It leverages the Infoblox api, but provides a wrapper to the more complex (and detailed) API calls with a simple command line syntax.

It also lets you create batch scripts so you can configure an Infoblox SDB without writing any scary perl.


Do not call Infoblox support expecting help, do not hassle them because this cli doesn't work. I wrote this tool in my spare time because I wanted the functionality. If you have questions or bug fixes, email me : 'horne-ibcli (at)

Tuesday, December 29, 2009

What versions of NIOS does ibcli work with ?

I was just asked the question :

Given the various versions of listed,
what is the recommended way to validate which
version of should be used - based on
the version of NIOS that's on the GM that ibcli
will be interacting with ?

The answer is : "Use the latest version of ibcli, always".

Wherever possible I've tried to make ibcli backwards compatible, including working around known bugs, and inserting multiple versions of code (such as support for extensible attributes or IPAM fields).

If you use an old version of ibcli you won't have access to some of the commands. If you use a new version of ibcli against an old version of NIOS, some commands just won't do anything ( type 'set debug 1' to see the failures )

And, as usual, if you find a bug, let me know.

No comments:

Post a Comment